List all carriers
curl --request GET \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/carriers/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/carriers/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/carriers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "FastShip",
"service_level": "Express",
"tracking_url": "https://track.fastship.com/{tracking_number}"
}
]Carriers
List all carriers
Retrieve a list of all available shipping carriers for the given retailer.
GET
/
v1
/
retailers
/
{retailer_id}
/
carriers
/
List all carriers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.
Example:
1001
Response
200 - application/json
A list of carriers
The unique identifier for the shipping carrier.
Example:
123
The name of the shipping carrier.
Example:
"FastShip"
The different types of services offered, such as Standard or Express shipping.
Example:
"Express"
The base URL used for tracking shipments.
Example:
"https://track.fastship.com/{tracking_number}"
Was this page helpful?
